/*
 * gcc -o winmove `pkg-config --cflags gtk+-2.0 gdk-2.0` winmove.c `pkg-config --libs gtk+-2.0 gdk-2.0`
 */

#include <stdio.h>
#include <gtk/gtk.h>

GtkWidget* win;

gboolean key_down (GtkWidget *widget, GdkEventKey *event, gpointer user_data) {
    gint x, y;
    gtk_window_get_position(GTK_WINDOW(win), &x, &y);
    printf("Position: (%d, %d)\n", x, y);
    gtk_window_move(GTK_WINDOW(win), x, y);
}

int main (int argc, char** argv) {
    GtkWidget *da;
    gtk_init (&argc, &argv);

    win = gtk_window_new (GTK_WINDOW_TOPLEVEL);	
    g_signal_connect (G_OBJECT (win), "key-press-event",
		      G_CALLBACK (key_down), NULL);	
    gtk_window_set_default_size (GTK_WINDOW (win), 280, 250);

    da = gtk_drawing_area_new ();
    gtk_container_add (GTK_CONTAINER (win), da);

    gtk_widget_show_all (win);
    gtk_main();
}
